int lineno 1;

gets (s)
	char *s;
{ /* gets (s) - read a string with cgetc and store in s */
	char *p;
	extern int cin;
	p=s;
	while ((*s = cgetc(cin)) != '\n' && *s != '\0') s++;
	if (*p == '\0') return (0);
	*s = '\0';
	lineno++;
	return (p);
}

getchar()
{
	extern cin;
	int c;
	c = cgetc(cin);
	if (c== '\n') lineno++;
	return(c);
}

error(s,p)
	{
	printf("%d: ",lineno);
	printf(s,p);
	printf("\n");
	cexit();
	}

warning(s,p)
	{
	printf("%d: (Warning) ",lineno);
	printf(s,p);
	printf("\n");
	}
